StandardELContext (EL 3.0 API Documentation - Apache Tomcat 9.0.68)

Package javax.el

## Class StandardELContext

- java.lang.Object
- - javax.el.ELContext
  - - javax.el.StandardELContext

-     public class StandardELContext
      extends ELContext

  Since:
    EL 3.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandardELContext​(ELContext context)` |
    `StandardELContext​(ExpressionFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addELResolver​(ELResolver resolver)` |
    `java.lang.Object` | `getContext​(java.lang.Class key)` | Obtain the context object for the given key.
    `ELResolver` | `getELResolver()` |
    `FunctionMapper` | `getFunctionMapper()` |
    `VariableMapper` | `getVariableMapper()` |
    `void` | `putContext​(java.lang.Class key, java.lang.Object contextObject)` | Add an object to this EL context under the given key.

    - ### Methods inherited from class javax.el.ELContext

      `addEvaluationListener, convertToType, enterLambdaScope, exitLambdaScope, getEvaluationListeners, getImportHandler, getLambdaArgument, getLocale, isLambdaArgument, isPropertyResolved, notifyAfterEvaluation, notifyBeforeEvaluation, notifyPropertyResolved, setLocale, setPropertyResolved, setPropertyResolved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardELContext

          public StandardELContext​(ExpressionFactory factory)

    - #### StandardELContext

          public StandardELContext​(ELContext context)

  - ### Method Detail

    - #### putContext

          public void putContext​(java.lang.Class key,
                                 java.lang.Object contextObject)

      Description copied from class: `ELContext`
      Add an object to this EL context under the given key.
      Overrides:
        `putContext` in class `ELContext`
      Parameters:
        `key` - The key under which to store the object
        `contextObject` - The object to add

    - #### getContext

          public java.lang.Object getContext​(java.lang.Class key)

      Description copied from class: `ELContext`
      Obtain the context object for the given key.
      Overrides:
        `getContext` in class `ELContext`
      Parameters:
        `key` - The key of the required context object
      Returns:
        The value of the context object associated with the given key

    - #### getELResolver

          public ELResolver getELResolver()

      Specified by:
        `getELResolver` in class `ELContext`

    - #### addELResolver

          public void addELResolver​(ELResolver resolver)

    - #### getFunctionMapper

          public FunctionMapper getFunctionMapper()

      Specified by:
        `getFunctionMapper` in class `ELContext`

    - #### getVariableMapper

          public VariableMapper getVariableMapper()

      Specified by:
        `getVariableMapper` in class `ELContext`